/**
 * 
 */
package com.travel.erp.dao;

import java.util.List;

import com.travel.erp.model.Booking;

/**
 * @author Himanshu
 *
 */
public interface BookingDao {

	public Booking getBooking(int bookingId);

	public int saveBooking(Booking booking);

	public void updateBooking(Booking booking);

	public void deleteBooking(int bookingId);

	public List<Booking> getAllBookings();

	public List<Booking> getBookingBySalesPersonId(int salesPersonId);

	public List<Booking> getBookingByStatus(String bookingStatus);

	public List<Booking> getBookingByPackageCode(String packageCode);

	public List<Booking> getBookingByBookingName(String bookingName);

	public List<Booking> getBookingByCreatedById(int createdById);

}
