package com.travel.erp.dao;

import java.util.List;

import com.travel.erp.model.Customer;

public interface CustomerDao {

	int createCustomer(Customer customer);
	Customer getCustomer(int id);
	List<Customer> getAllCustomers();
	List<Customer> searchCustomerByEmailId(String emailId);
	List<Customer> searchCustomerByPhoneNo(String phoneNo);
	Integer editCustomer(Customer customer);
	
}
