package com.travel.erp.exception;

public interface ErrorCodes {

	String INVALID_DATE_FORMAT = "ERR_0001";
	String DUPLICATE_CUSTOMER_EMAIL_ID = "ERR_0002";
	String DUPLICATE_CUSTOMER_PHONE = "ERR_0003";

	String COULD_NOT_FIND_CUSTOMER = "ERR_0005";
	String FAILURE_CREATING_LEAD = "ERR_0006";
	String COULD_NOT_FIND_LEAD = "ERR_0007";

	String INVALID_CUSTOMER_FOR_LEAD = "ERR_0008";
	String INVALID_EMPLOYEE_ID_FOR_LEAD = "ERR_0009";
	String INVALID_ASSIGNEE_ID_FOR_LEAD = "ERR_0010";
	String INVALID_DATA_FORMAT_FOR_LEAD = "ERR_0011";

	String INVALID_LEAD_ID = "ERR_0012";
	String INVALID_DATA_FORMAT_FOR_LEAD_ATTACHMENT = "ERR_0013";
	String FAILURE_ADDING_LEAD_ATTACHMENT = "ERR_0014";
	String COULD_NOT_FIND_LEAD_ATTACHMENT = "ERR_0015";
	String FAILURE_DELETING_LEAD_ATTACHMENT = "ERR_0016";
	String NO_ATTACHMENTS_FOR_LEAD = "ERR_0017";

	String LOGIN_ERROR = "ERR_0018";
	String INVALID_CREDENTIALS = "ERR_0019";

	String COULD_NOT_FIND_BOOKING = "ERR_0020";

	String FAILURE_DELETING_LEAD = "ERR_0030";

	String FAILURE_UPDATING_LEAD = "ERR_0031";

	String UNKNOWN_ERROR = "ERR_0004";

	String COULD_NOT_SAVE_BOOKING = "ERR_0032";
	String BOOKING_CANNOT_BE_UPDATED = "ERR_0033";
	String BOOKING_CANNOT_BE_DELETED = "ERR_0034";

	String INVALID_DATA_FORMAT_FOR_NOTES = "ERR_0035";

	String FAILURE_ADDING_NOTE = "ERR_0036";

	String COULD_NOT_FIND_NOTE = "ERR_0037";

	String FAILURE_UPDATING_NOTE = "ERR_0038";

	String FAILURE_DELETING_NOTE = "ERR_0039";

	String INVALID_DATA_FORMAT_FOR_ALERTS = "ERR_0040";

	String COULD_NOT_FIND_ALERT = "ERR_0041";
	
	String FAILURE_UPDATING_ALERT = "ERR_0042";
	
	String FAILURE_DELETING_ALERT = "ERR_0043";

}
