package com.travel.erp.service;

import java.util.Date;
import java.util.List;

import com.travel.erp.view.model.AlertModel;

public interface AlertsService {

	int createLeadAlert(AlertModel alert);

	void updateAlert(AlertModel alert);

	void deleteAlert(int alertId);

	AlertModel getAlertDetails(int alertId);

	List<AlertModel> getAlertsOfLead(int leadId, String alertStatus);

	List<AlertModel> getAlertsByAssignedTo(int employeeId, String alertStatus);

	List<AlertModel> getAlertsByAlertDate(Date date);
}
