package com.travel.erp.view.model;

import com.travel.erp.model.Employee;

public class EmployeeModel {

	private int erp_emp_id;
	private String erp_emp_name;

	public int getErp_emp_id() {
		return erp_emp_id;
	}

	public void setErp_emp_id(int erp_emp_id) {
		this.erp_emp_id = erp_emp_id;
	}

	public String getErp_emp_name() {
		return erp_emp_name;
	}

	public void setErp_emp_name(String erp_emp_name) {
		this.erp_emp_name = erp_emp_name;
	}

	public EmployeeModel() {
	}

	public EmployeeModel(int erp_emp_id, String erp_emp_name) {
		this.erp_emp_id = erp_emp_id;
		this.erp_emp_name = erp_emp_name;
	}

	public EmployeeModel(Employee employee) {
		if(employee != null) {
			this.erp_emp_id = employee.getId();
			this.erp_emp_name = employee.getName();
		}
	}

}
