package com.travel.erp.view.model;

import com.travel.erp.model.HotelBooking;

public class HotelBookingModel {

	private int erp_hotelBookingId;
	private String erp_hotelName;
	private String erp_roomType;
	private Double erp_roomCost;
	private int erp_nightsOfStay;

	public HotelBookingModel(HotelBooking hotelBooking) {
		this.erp_hotelBookingId = hotelBooking.getHotelBookingId();
		this.erp_hotelName = hotelBooking.getHotelName();
		this.erp_roomType = hotelBooking.getRoomType();
		this.erp_roomCost = hotelBooking.getRoomCost();
		this.erp_nightsOfStay = hotelBooking.getNightsOfStay();
	}

	public HotelBookingModel() {
	}

	public int getErp_hotelBookingId() {
		return erp_hotelBookingId;
	}

	public void setErp_hotelBookingId(int erp_hotelBookingId) {
		this.erp_hotelBookingId = erp_hotelBookingId;
	}

	public String getErp_hotelName() {
		return erp_hotelName;
	}

	public void setErp_hotelName(String erp_hotelName) {
		this.erp_hotelName = erp_hotelName;
	}

	public String getErp_roomType() {
		return erp_roomType;
	}

	public void setErp_roomType(String erp_roomType) {
		this.erp_roomType = erp_roomType;
	}

	public Double getErp_roomCost() {
		return erp_roomCost;
	}

	public void setErp_roomCost(Double erp_roomCost) {
		this.erp_roomCost = erp_roomCost;
	}

	public int getErp_nightsOfStay() {
		return erp_nightsOfStay;
	}

	public void setErp_nightsOfStay(int erp_nightsOfStay) {
		this.erp_nightsOfStay = erp_nightsOfStay;
	}
}