package com.travel.erp.dao;

import java.util.Date;
import java.util.List;

import com.travel.erp.model.Alert;

public interface AlertsDao {

	int createLeadAlert(Alert alert);

	void updateAlert(Alert alert);

	void deleteAlert(int alertId);

	Alert getAlertDetails(int alertId);

	List<Alert> getAlertsOfLead(int leadId, String alertStatus);

	List<Alert> getAlertsByAssignedTo(int employeeId, String alertStatus);

	List<Alert> getAlertsByAlertDate(Date date);

}
