package com.travel.erp.dao;

import java.util.List;

import com.travel.erp.model.LeadAttachment;

public interface LeadAttachmentDao {

	LeadAttachment addLeadAttachment(LeadAttachment attachment);

	List<LeadAttachment> addLeadAttachments(List<LeadAttachment> attachments);

	LeadAttachment getLeadAttachmentByAttachmentId(int attId);

	List<LeadAttachment> getAttachmentsOfALead(int leadId);

	void updateLeadAttachment(LeadAttachment attachment);

	void deleteLeadAttachment(int atttId);

}
