package com.travel.erp.dao;

import java.util.List;

import com.travel.erp.model.Lead;
import com.travel.erp.model.LeadSource;
import com.travel.erp.model.LeadStatus;

public interface LeadDao {

	int createLead(Lead lead);

	Lead getLeadInfo(int id);

	void updateLead(Lead lead);

	void deleteLead(int leadId);

	List<Lead> searchLeads(Integer leadId, String emailId, String phoneNo,
			String destinations, Integer customerId, String departureDate,
			String leadSource, String leadStatus, Integer createdBy,
			Integer assignedTo, String fromDate, String toDate);

	List<LeadStatus> getLeadStatusValues();

	List<LeadSource> getLeadSources();

}
