package com.travel.erp.exception;

public class ERPException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String code;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public ERPException(String code, String message, Throwable t) {
		super(message, t);
		this.code = code;
	}

	public ERPException(String code, String message) {
		super(message);
		this.code = code;
	}

}
