/**
 * 
 */
package com.travel.erp.service;

import java.util.List;

import com.travel.erp.model.Booking;
import com.travel.erp.view.model.BookingModel;

/**
 * @author Himanshu
 *
 */
public interface BookingService {

	public BookingModel lookupBookingByBookingId(int bookingId);

	public int saveBooking(BookingModel bookingModel);
	
	public void updateBooking(BookingModel bookingModel);

	public void deleteBooking(int bookingId);

	public List<BookingModel> getAllBookings();

	public List<BookingModel> getBookingBySalesPersonId(int salesPersonId);

	public List<BookingModel> getBookingByStatus(String bookingStatus);

	public List<BookingModel> getBookingByPackageCode(String packageCode);

	public List<BookingModel> getBookingByBookingName(String bookingName);

	public List<BookingModel> getBookingByCreatedById(int createdById);
}
