package com.travel.erp.service;

import java.util.List;

import com.travel.erp.model.LeadSource;
import com.travel.erp.model.LeadStatus;
import com.travel.erp.view.model.LeadModel;

public interface LeadService {

	int createLead(LeadModel lead);

	LeadModel getLeadInfo(int id);

	void updateLead(LeadModel leadModel);

	void deleteLead(int leadId);

	List<LeadModel> searchLeads(Integer leadId, String emailId, String phoneNo,
			String destinations, Integer customerId, String departureDate,
			String leadSource, String leadStatus, Integer createdBy,
			Integer assignedTo, String fromDate, String toDate);

	List<LeadStatus> getLeadStatusValues();

	List<LeadSource> getLeadSources();
}
