package com.travel.erp.service;

import java.util.List;

import com.travel.erp.view.model.NoteModel;

public interface NotesService {

	int addNotesToLead(NoteModel noteModel);

	int addNotesToBooking(NoteModel noteModel);

	List<NoteModel> getNotesOfALead(int leadId);

	List<NoteModel> getNotesOfABooking(int bookingId);

	NoteModel getNoteInfo(int noteId);

	void updateNoteOfALead(Integer leadId, NoteModel noteModel);

	void updateNoteOfABooking(Integer bookingId, NoteModel noteModel);

	void deleteNote(int noteId);

}
