package com.travel.erp.util;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.travel.erp.exception.ERPException;
import com.travel.erp.exception.ErrorCodes;

public class Utils {

	public static Date getDateFromString(String date) {
		try {
			SimpleDateFormat formatter = new SimpleDateFormat("dd/MM/yyyy");
			Date dateObj = formatter.parse(date);
			return dateObj;
		} catch (Exception e) {
			throw new ERPException(ErrorCodes.INVALID_DATE_FORMAT,
					e.getMessage(), e);
		}
	}

	public static String getStringFromDate(Date date) {
		try {
			SimpleDateFormat formatter = new SimpleDateFormat("dd/MM/yyyy");
			return formatter.format(date);
		} catch (Exception e) {
			throw new ERPException(ErrorCodes.INVALID_DATE_FORMAT,
					e.getMessage(), e);
		}
	}
}
